Change Liquidity
Change the amount of liquidity provided in a liquidity pool
In: header
Optional provider for entering a liquidity pool. If not provided, Uniswap v3 will be used.
"UNISWAP_V3"The wallet address (in hexadecimal format) who owns the liquidity.
The blockchain network where the current liquidity will be modified. Supported EVM chains:
- Arbitrum One: 42161
- Avalanche: 43114
- Base: 8453
- BNB Smart Chain: 56
- Ethereum: 1
- Gnosis: 100
- OP Mainnet: 10
- Polygon: 137
- X Layer Mainnet: 196
The token address (in hexadecimal format) used to pay the transaction fee.
Defines how the fee will be paid: "ADD_TO_AMOUNT" adds it to the input amount, while "DEDUCT_FROM_AMOUNT" subtracts it from the input amount.
"ADD_TO_AMOUNT" | "DEDUCT_FROM_AMOUNT"Percentage fee applied to the transaction (e.g., 5 for 5%).
00 <= value <= 99.99ID of the NFT that represents the liquidity
Optional parameter controlling the maximum deviation allowed of the expected price of a trade and the actual price at which the trade is executed, with a minimum value of 0.5 and a maximum value of 99, default is 0.5, where 1 unit equals 1%.
0.50.5 <= value <= 99Empty Object
Response Body
curl -X POST "https://api.notus.team/api/v1/liquidity/change" \ -H "Content-Type: application/json" \ -d '{ "walletAddress": "0x6e397ddf51d9f15dbe0414538e7529f51f2e5464", "chainId": 42161, "payGasFeeToken": "0x82af49447d8a07e3bd95bd0d56f35241523fbab1", "gasFeePaymentMethod": "ADD_TO_AMOUNT", "tokenId": "2375619234", "change": { "token0": "0x2f2a2543b76a4166549f7aab2e75bef0aefc5b0f", "token1": "0xaf88d065e77c8cc2239327c5edb3a432268e5831", "token0Amount": "26.2345", "token1Amount": "1823.2" } }'{
"operation": {
"liquidityProvider": "UNISWAP_V3",
"walletAddress": "0x6e397ddf51d9f15dbe0414538e7529f51f2e5464",
"toAddress": "0x1337133713371337133713371337133713371337",
"chainId": 42161,
"transactionFeePercent": 2.5,
"payGasFeeToken": "0x82af49447d8a07e3bd95bd0d56f35241523fbab1",
"gasFeePaymentMethod": "ADD_TO_AMOUNT",
"tokenIn": "0x2791bca1f2de4661ed88a30c99a7a9449aa84174",
"amountIn": "1.2",
"token0": "0x2f2a2543b76a4166549f7aab2e75bef0aefc5b0f",
"token1": "0xaf88d065e77c8cc2239327c5edb3a432268e5831",
"poolFeePercent": 1,
"minPrice": 83475.12,
"maxPrice": 102300.5,
"slippage": 1.2,
"extraFee": {
"percentage": 1.5,
"toAddress": "0x6e397ddf51d9f15dbe0414538e7529f51f2e5464"
},
"metadata": {
"key": "value"
}
}
}{
"statusCode": 400,
"id": "NOT_AUTHORIZED_TOKENS",
"message": ""
}{
"statusCode": 403,
"id": "UNAVAILABLE_COMPUTE_UNITS",
"message": "The project doesn't have enough compute units to perform this action. Please upgrade your plan."
}{
"statusCode": 404,
"id": "ACCOUNT_ABSTRACTION_ADDRESS_NOT_REGISTERED_WITH_PROJECT",
"message": "The requested wallet \"0x6e397ddf51d9f15dbe0414538e7529f51f2e5464\" is not registered with the project"
}{
"statusCode": 500,
"id": "BLOCKCHAIN_ERROR",
"message": "We had a problem fetching the data from the blockchain. If the problem persists, contact our support."
}Create Aave lending quote POST
Creates a lending quote using a unified payload. Supported now: LENDING_SUPPLY, LENDING_SUPPLY_BORROW, LENDING_BORROW, LENDING_REPAY, LENDING_WITHDRAW and LENDING_REPAY_WITHDRAW.
Add Liquidity via Swap POST
This endpoint adds liquidity to an existing position by swapping a single input token into the two pool tokens and increasing the position.